Get Connector
curl --request GET \
--url https://api.example.com/v1/workspaces/{workspace_id}/connectors/{connector_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/v1/workspaces/{workspace_id}/connectors/{connector_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/v1/workspaces/{workspace_id}/connectors/{connector_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"name": "<string>",
"spec": {
"adbc": {
"direct": {
"driver": "<string>"
},
"connectionProfile": {
"profile": "<string>"
},
"snowflake": {
"account": "<string>",
"warehouse": "<string>",
"role": "<string>",
"credential": {
"staticBearer": {
"token": "<string>"
},
"federatedIdentity": {
"subjectToken": {
"awsSts": {
"credentials": {
"region": "<string>",
"default": {},
"profile": {
"profileName": "<string>"
},
"static": {
"accessKeyId": "<string>",
"secretAccessKey": "<string>"
},
"session": {
"accessKeyId": "<string>",
"secretAccessKey": "<string>",
"sessionToken": "<string>"
},
"assumeRole": {
"roleArn": "<string>",
"sessionName": "<string>",
"externalId": "<string>",
"duration": "<string>"
}
},
"audience": "<string>",
"signingAlgorithm": "AWS_STS_SIGNING_ALGORITHM_UNSPECIFIED"
},
"jwtFile": {
"fileUri": "<string>"
},
"httpJwt": {
"endpoint": "<string>",
"headers": {}
}
},
"accessToken": {
"passthrough": {},
"oauthTokenExchange": {
"tokenEndpoint": "<string>",
"clientId": "<string>",
"clientSecret": "<string>",
"scopes": [
"<string>"
],
"audience": "<string>",
"resource": "<string>",
"subjectTokenType": "<string>"
}
}
},
"oauthClientCredentials": {
"tokenEndpoint": "<string>",
"clientId": "<string>",
"clientSecret": "<string>",
"authenticationMethod": "CLIENT_AUTHENTICATION_METHOD_UNSPECIFIED",
"scopes": [
"<string>"
],
"audience": "<string>",
"resource": "<string>"
}
}
},
"databricks": {
"sqlEndpoint": "<string>",
"credential": {
"staticBearer": {
"token": "<string>"
},
"federatedIdentity": {
"subjectToken": {
"awsSts": {
"credentials": {
"region": "<string>",
"default": {},
"profile": {
"profileName": "<string>"
},
"static": {
"accessKeyId": "<string>",
"secretAccessKey": "<string>"
},
"session": {
"accessKeyId": "<string>",
"secretAccessKey": "<string>",
"sessionToken": "<string>"
},
"assumeRole": {
"roleArn": "<string>",
"sessionName": "<string>",
"externalId": "<string>",
"duration": "<string>"
}
},
"audience": "<string>",
"signingAlgorithm": "AWS_STS_SIGNING_ALGORITHM_UNSPECIFIED"
},
"jwtFile": {
"fileUri": "<string>"
},
"httpJwt": {
"endpoint": "<string>",
"headers": {}
}
},
"accessToken": {
"passthrough": {},
"oauthTokenExchange": {
"tokenEndpoint": "<string>",
"clientId": "<string>",
"clientSecret": "<string>",
"scopes": [
"<string>"
],
"audience": "<string>",
"resource": "<string>",
"subjectTokenType": "<string>"
}
}
},
"oauthClientCredentials": {
"tokenEndpoint": "<string>",
"clientId": "<string>",
"clientSecret": "<string>",
"authenticationMethod": "CLIENT_AUTHENTICATION_METHOD_UNSPECIFIED",
"scopes": [
"<string>"
],
"audience": "<string>",
"resource": "<string>"
}
}
},
"databaseOptions": [
{
"name": "<string>",
"value": {
"literal": {
"integer": "<string>",
"double": 123,
"string": "<string>",
"bytes": "<string>"
},
"credential": {
"staticBearer": {
"token": "<string>"
},
"federatedIdentity": {
"subjectToken": {
"awsSts": {
"credentials": {
"region": "<string>",
"default": {},
"profile": {
"profileName": "<string>"
},
"static": {
"accessKeyId": "<string>",
"secretAccessKey": "<string>"
},
"session": {
"accessKeyId": "<string>",
"secretAccessKey": "<string>",
"sessionToken": "<string>"
},
"assumeRole": {
"roleArn": "<string>",
"sessionName": "<string>",
"externalId": "<string>",
"duration": "<string>"
}
},
"audience": "<string>",
"signingAlgorithm": "AWS_STS_SIGNING_ALGORITHM_UNSPECIFIED"
},
"jwtFile": {
"fileUri": "<string>"
},
"httpJwt": {
"endpoint": "<string>",
"headers": {}
}
},
"accessToken": {
"passthrough": {},
"oauthTokenExchange": {
"tokenEndpoint": "<string>",
"clientId": "<string>",
"clientSecret": "<string>",
"scopes": [
"<string>"
],
"audience": "<string>",
"resource": "<string>",
"subjectTokenType": "<string>"
}
}
},
"oauthClientCredentials": {
"tokenEndpoint": "<string>",
"clientId": "<string>",
"clientSecret": "<string>",
"authenticationMethod": "CLIENT_AUTHENTICATION_METHOD_UNSPECIFIED",
"scopes": [
"<string>"
],
"audience": "<string>",
"resource": "<string>"
}
}
}
}
],
"entrypoint": "<string>",
"adbcVersion": "ADBC_VERSION_UNSPECIFIED",
"driverLoadFlags": {
"values": [
"ADBC_DRIVER_LOAD_FLAG_UNSPECIFIED"
]
},
"additionalDriverSearchPaths": [
"<string>"
],
"connectionPool": {
"maxSize": 123,
"minIdle": 123
},
"identifierQuoteStyle": "ADBC_IDENTIFIER_QUOTE_STYLE_UNSPECIFIED"
},
"s3": {
"objectStoreUrl": "<string>",
"credentials": {
"region": "<string>",
"default": {},
"profile": {
"profileName": "<string>"
},
"static": {
"accessKeyId": "<string>",
"secretAccessKey": "<string>"
},
"session": {
"accessKeyId": "<string>",
"secretAccessKey": "<string>",
"sessionToken": "<string>"
},
"assumeRole": {
"roleArn": "<string>",
"sessionName": "<string>",
"externalId": "<string>",
"duration": "<string>"
}
},
"options": {}
},
"gcs": {
"objectStoreUrl": "<string>",
"options": {},
"secrets": {}
},
"snowflake": {
"endpoint": "<string>",
"credential": {
"staticBearer": {
"token": "<string>"
},
"federatedIdentity": {
"subjectToken": {
"awsSts": {
"credentials": {
"region": "<string>",
"default": {},
"profile": {
"profileName": "<string>"
},
"static": {
"accessKeyId": "<string>",
"secretAccessKey": "<string>"
},
"session": {
"accessKeyId": "<string>",
"secretAccessKey": "<string>",
"sessionToken": "<string>"
},
"assumeRole": {
"roleArn": "<string>",
"sessionName": "<string>",
"externalId": "<string>",
"duration": "<string>"
}
},
"audience": "<string>",
"signingAlgorithm": "AWS_STS_SIGNING_ALGORITHM_UNSPECIFIED"
},
"jwtFile": {
"fileUri": "<string>"
},
"httpJwt": {
"endpoint": "<string>",
"headers": {}
}
},
"accessToken": {
"passthrough": {},
"oauthTokenExchange": {
"tokenEndpoint": "<string>",
"clientId": "<string>",
"clientSecret": "<string>",
"scopes": [
"<string>"
],
"audience": "<string>",
"resource": "<string>",
"subjectTokenType": "<string>"
}
}
},
"oauthClientCredentials": {
"tokenEndpoint": "<string>",
"clientId": "<string>",
"clientSecret": "<string>",
"authenticationMethod": "CLIENT_AUTHENTICATION_METHOD_UNSPECIFIED",
"scopes": [
"<string>"
],
"audience": "<string>",
"resource": "<string>"
}
},
"authorizationTokenType": "SNOWFLAKE_AUTHORIZATION_TOKEN_TYPE_UNSPECIFIED",
"session": {
"warehouse": "<string>",
"database": "<string>",
"schema": "<string>",
"role": "<string>"
},
"statementTimeout": "<string>",
"workloadIdentityProvider": "SNOWFLAKE_WORKLOAD_IDENTITY_PROVIDER_UNSPECIFIED"
},
"databricks": {
"workspaceUrl": "<string>",
"warehouseId": "<string>",
"credential": {
"staticBearer": {
"token": "<string>"
},
"federatedIdentity": {
"subjectToken": {
"awsSts": {
"credentials": {
"region": "<string>",
"default": {},
"profile": {
"profileName": "<string>"
},
"static": {
"accessKeyId": "<string>",
"secretAccessKey": "<string>"
},
"session": {
"accessKeyId": "<string>",
"secretAccessKey": "<string>",
"sessionToken": "<string>"
},
"assumeRole": {
"roleArn": "<string>",
"sessionName": "<string>",
"externalId": "<string>",
"duration": "<string>"
}
},
"audience": "<string>",
"signingAlgorithm": "AWS_STS_SIGNING_ALGORITHM_UNSPECIFIED"
},
"jwtFile": {
"fileUri": "<string>"
},
"httpJwt": {
"endpoint": "<string>",
"headers": {}
}
},
"accessToken": {
"passthrough": {},
"oauthTokenExchange": {
"tokenEndpoint": "<string>",
"clientId": "<string>",
"clientSecret": "<string>",
"scopes": [
"<string>"
],
"audience": "<string>",
"resource": "<string>",
"subjectTokenType": "<string>"
}
}
},
"oauthClientCredentials": {
"tokenEndpoint": "<string>",
"clientId": "<string>",
"clientSecret": "<string>",
"authenticationMethod": "CLIENT_AUTHENTICATION_METHOD_UNSPECIFIED",
"scopes": [
"<string>"
],
"audience": "<string>",
"resource": "<string>"
}
},
"defaults": {
"catalog": "<string>",
"schema": "<string>"
},
"statementTimeout": "<string>"
}
},
"createTime": "<string>",
"updateTime": "<string>",
"revision": "0",
"revisionHash": ""
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}connector
Get Connector
GET
/
v1
/
workspaces
/
{workspace_id}
/
connectors
/
{connector_id}
Get Connector
Authorizations
An API key or OAuth2/OIDC access token sent as Authorization: Bearer <token>.
Response
Successful Response
A named, reusable source connector owned by the workspace.
Resource name in the form
workspaces/{workspace}/connectors/{connector}.
Pattern:
^workspaces/[a-z0-9](?:[a-z0-9._~-]*[a-z0-9])?/connectors/[a-z0-9](?:[a-z0-9._~-]*[a-z0-9])?$Recipe used to create connector sessions.
Show child attributes
Show child attributes
Time at which the connector was created.
Time at which the connector was most recently updated.
Monotonically increasing revision of this connector specification.
Opaque lowercase SHA-256 fingerprint identifying the persisted connector-definition revision.